Busy on slackware-current

Sorry for lack of updates, I was busy in recompiling all my packages after installation of slackware-current, ’cause the new toolchain (glibc 2.5, gcc 4.1.2) is not compatible with slackware 11.

I’m still thinking what to do with this site, option are:

  • Switch SlackBuilds for current
  • Rewrite them for slackware 11 (not much work really, maybe some configure option, kde path that switched from /opt/kde to /usr and xorg paths ). In this case SlackBuilds would be untested and I’m not sure if I want that…

Stay tuned.

Advertisements

4 Responses to “Busy on slackware-current”

  1. The best is to change most quickly to the new glibc, gcc, because Sl. 11.0 is obsolete (it was oriented on 2.4 kernel) and everything is going forwards, not backwards ! Recompile all packages and adapt them to X 7.1 and to the new KDE path. It would be also very good, if someone would compile the new gnome 2.18 completely, putting everything in /usr instead of /usr/local

  2. A VERY BIG problem is, that perl 5.8.8 dont work correctly with gtk , glib. This, because Glib is installed into /usr/lib/perl5/site_perl/5.8.8/i486-linux/Glib , but the most progs searching it in /usr/lib/perl5/5.8.8/auto/Glib and crash because dont find it (f. ex. acidrip, dvdrip, and all webmin modules). This need to be fixed urgently !! Almost no perl progs which needs perl-glib, perl-gtk2 dont work more !!!

  3. Dear Werner,
    I agree with you, from my point of view the things should always go ahead, never back. Anyway, my doubts about this issue must deal with the fact that not all slackware users did upgrade to -current, and still run 11.0 (that, afaik, is much more stable than -current, the issue about perl path shows this very well) and not all are bleeding-edge / crazy updater users.

    It’s true that my SlackBuilds are about desktop users, so perhaps the best thing to do is leave the old SlackBuilds for 11.0 online and start to publish SlackBuilds for current taggin’ them as ‘experimental’. After Easter I ‘ll take my decision.

    About gnome, I know that some guys from slacky.eu community are dealing with that on 11.0, I could ask them to pass their SlackBuilds to adapt them to -current (I was dealing with that myself, too before upgrading).

    Thank you for your interest,
    best regards

  4. Good. The people speck too much, and do too less.

    In the last days, I compiled and packed a lot of programs, whom want to download them:

    copaya.yi.org/tgz (via http:// or ftp://)

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: